Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynEnum Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynEnum:

[legend]
Collaboration diagram for DynamicAny::DynEnum:

[legend]
List of all members.

## Public Types
typedef DynEnum_ptr | _ptr_type
typedef DynEnum_var | _var_type
## Public Methods
virtual char * | get_as_string (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_as_string (const char *value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )
virtual CORBA::ULong | get_as_ulong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_as_ulong (CORBA::ULong value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
DynEnum_ptr | _duplicate (DynEnum_ptr obj)
DynEnum_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynEnum_ptr | _nil (void)
## Protected Methods
| DynEnum (void)
virtual | ~DynEnum (void)
## Private Methods
| DynEnum (const DynEnum &)
void | operator= (const DynEnum &)

## Member Typedef Documentation

typedef DynEnum_ptr DynamicAny::DynEnum::_ptr_type

| Reimplemented from DynamicAny::DynAny.

typedef DynEnum_var DynamicAny::DynEnum::_var_type

| Reimplemented from DynamicAny::DynAny.

## Constructor & Destructor Documentation

DynamicAny::DynEnum::DynEnum | ( | void |  | ) | `[protected]`

DynamicAny::DynEnum::~DynEnum | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynEnum::DynEnum | ( | const DynEnum & |  | ) | `[private]`

## Member Function Documentation

DynamicAny::DynEnum_ptr DynamicAny::DynEnum::_duplicate | ( | DynEnum_ptr | obj | ) | `[static]`

const char * DynamicAny::DynEnum::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean DynamicAny::DynEnum::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynEnum_ptr DynamicAny::DynEnum::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny. Reimplemented in TAO_DynEnum_i.

DynEnum_ptr DynamicAny::DynEnum::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from DynamicAny::DynAny.

virtual char* DynamicAny::DynEnum::get_as_string | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynEnum_i.

virtual CORBA::ULong DynamicAny::DynEnum::get_as_ulong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynEnum_i.

CORBA::Boolean DynamicAny::DynEnum::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

void DynamicAny::DynEnum::operator= | ( | const DynEnum & |  | ) | `[private]`

virtual void DynamicAny::DynEnum::set_as_string | ( | const char *value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynEnum_i.

virtual void DynamicAny::DynEnum::set_as_ulong | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynEnum_i.

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp